package daruma.xml.util.test;

import org.junit.Test;
import junit.framework.TestCase;

import daruma.xml.util.XPointerUtil;
import daruma.util.ParseException;

import java.util.Map;

public class XPointerUtilTest extends TestCase
{
    @Test
    public void testXPointer() throws ParseException
    {
	final String str = "xmlns(test=http://www.example.com/aaa/bbb,test2=http://www.example.org/foo/bar)";

	Map<String, String> result = XPointerUtil.parseXmlnsString( str );

	assertEquals( 2 , result.size() );
    }
}
